<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<!--
IGAC proyecto SNC

@author fredy.wilches
@version 2.0
@description Formulario de ejecución  
@cu CU-CO-V-01

-->
<p:fieldset toggleable="false" toggleSpeed="500"
            xmlns="http://www.w3.org/1999/xhtml"
            xmlns:ui="http://java.sun.com/jsf/facelets"
            xmlns:f="http://java.sun.com/jsf/core"
            xmlns:h="http://java.sun.com/jsf/html"
            xmlns:p="http://primefaces.org/ui">

    <h:form id="detalleDireccionForm"
            onkeypress="return event.keyCode !== 13;">

        <p:messages id="msgDir" showDetail="false" globalOnly="false" />	

        <p:spacer width="10" />
        <h:panelGrid columns="6" cellspacing="5" cellpadding="5" width="100%">

            <h:outputLabel value="Dirección: " styleClass="outputLabelStyle" />
            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            <p:inputText value="#{managedBeanParam.direccion}" id="direccion" 
                         disabled="#{rc.dhDireccion and rc.dhDireccionPrincipal and rc.dhDireccionMatriz}" 
                         label="Direccion" style="width:200px;height:14px;">
            </p:inputText>
            <p:message for="direccion" display="icon" />

            <h:outputLabel value="Principal " styleClass="outputLabelStyle" />
            <p:selectBooleanCheckbox value="#{managedBeanParam.principalBool}"
                                     disabled="#{managedBeanParam.principalBool or rc.dhDireccionPrincipal}"
                                     rendered ="#{!managedBeanParam.tramite.englobeVirtual}"
                                     id="principalBool" />
            <p:selectBooleanCheckbox value="#{managedBeanParam.principalBool}"
                                     rendered ="#{managedBeanParam.tramite.englobeVirtual}"
                                     id="principalBoolEV" />
        </h:panelGrid>

        <h:panelGrid columns="2" cellspacing="5" cellpadding="5" width="100%">
            <h:outputLabel value="Código postal: " styleClass="outputLabelStyle" />
            <h:inputText id="cpIT" value="#{managedBeanParam.codigoPostalDireccion}" 
                         size="12" maxlength="6" />
        </h:panelGrid>

        <p:fieldset legend="Dirección normalizada" toggleable="false" toggleSpeed="500">
            <h:panelGrid columns="4" cellspacing="5" cellpadding="5" width="100%">
                <p:commandButton value="Generar" icon="ui-icon-gear" 
                                 action="#{managedBeanParam.normalizarDireccion}" 
                                 update="direccionNormalizada, aceptarBtn, normalizadaBool, direccionNoNormalizada, :detalleDireccionForm" />
                <h:outputText rendered="#{!managedBeanParam.banderaAceptarDireccionNormalizada}"
                              value="La dirección normalizada es: #{managedBeanParam.direccionNormalizada}"
                              id="direccionNormalizada" style="width:150px;height:16px;text-decoration: underline"
                              styleClass="outputTextStyle" />
                <h:outputText rendered="#{managedBeanParam.banderaAceptarDireccionNormalizada}"
                              value="La dirección no pudo ser normalizada"
                              id="direccionNoNormalizada" style="width:150px;height:16px;text-decoration: underline"
                              styleClass="outputTextStyle" />
                <p:selectBooleanCheckbox value="#{managedBeanParam.normalizadaBool}" 
                                         disabled="#{(rc.dhDireccion and rc.dhDireccionPrincipal and rc.dhDireccionMatriz) or managedBeanParam.banderaAceptarDireccionNormalizada}"
                                         id="normalizadaBool" />
                <h:outputLabel value="Aceptar"
                               styleClass="outputLabelStyle" />
            </h:panelGrid>
        </p:fieldset>

        <p:spacer height="10" width="0" />
        <p:outputPanel layout="block" style="text-align:right">

            <p:commandButton value="Guardar" update="msgDir, :detalleDireccionForm, :tabView1:gestionarFichaMatrizForm:msgFichaMatriz"
                             id="aceptarBtn"
                             disabled="#{managedBeanParam.direccionNormalizada == null or managedBeanParam.direccionNormalizada == ''}"             
                             action="#{managedBeanParam.actualizarDireccion}" icon="ui-icon-check"
                             oncomplete="handleCompleteSIC(xhr, status, args, detalleDireccionWV, false)">
            </p:commandButton>
            <p:spacer height="10" width="10" />

        </p:outputPanel>

    </h:form>
</p:fieldset>